logo
Добро пожаловать, Гость! Чтобы использовать все возможности Вход или Регистрация.

Уведомление

Icon
Error

Опции
К последнему сообщению К первому непрочитанному
Offline tarkhil  
#1 Оставлено : 3 апреля 2019 г. 14:05:49(UTC)
tarkhil

Статус: Активный участник

Группы: Участники
Зарегистрирован: 19.12.2014(UTC)
Сообщений: 30
Российская Федерация
Откуда: Москва

Сказал(а) «Спасибо»: 2 раз
Добрый день

На FreeBSD 11.2, поставил cpro 5.0, пытаюсь подцепить Rutoken

(а) вообще у многих программ вылезает locale::facet::_S_create_c_locale name not valid, установил принудительно LC_ALL=C, но как-то это не совсем правильно
(б)

Цитата:
root@grandsql:/opt/cprocsp/bin/amd64 # ./csptest -card -enum -v
Aktiv Co. Rutoken S 00 00
Card present, ATR=3B 6F 00 FF 00 56 72 75 54 6F 6B 6E 73 30 20 00 00 90 00
Total: SYS: 0.000 sec USR: 0.008 sec UTC: 0.000 sec
[ErrorCode: 0x00000000]
root@grandsql:/opt/cprocsp/bin/amd64 # ../../sbin/amd64/cpconfig -hardware reader -add "Aktiv Co. Rutoken S 00 00" -name Rutoken
Adding new reader:
Nick name: Aktiv Co. Rutoken S 00 00
Name device: Rutoken
Adding Aktiv Co. Rutoken S 00 00 failed
Error code:-2146435049
The specified reader is not currently available for use.
root@grandsql:/opt/cprocsp/bin/amd64 #


и не очень понятно, почему. Ни в debug.log, ни в выводе truss ничего разумного нет.

Цитата:
root@grandsql:/opt/cprocsp/bin/amd64 # pkg info | grep cpro
cpro-base-5.0.11319_0 CryptoPro CSP base.
cpro-capilite-64-5.0.11319_0 CryptoAPI lite(64bit).
cpro-curl-64-5.0.11319_0 Curl GOST SSPI (64bit)
cpro-kc1-64-5.0.11319_0 CryptoPro CSP libraries and binaries(64bit).
cpro-rdr-64-5.0.11319_0 CryptoPro CSP readers and support library(64bit).


rutoken-drivers собран (они ужасно грязно написаны, ну да ладно). librdrrtsupcp.so стоит (MD5: 10326e90646f6175e2a0d6eca8934e2c). cpconfig ее подтягивает (проверил через truss).

Может быть проблема в том, что ему не хватает nss_compat? Или лучше пока на 4.0 уйти?
Offline tarkhil  
#2 Оставлено : 3 апреля 2019 г. 22:20:05(UTC)
tarkhil

Статус: Активный участник

Группы: Участники
Зарегистрирован: 19.12.2014(UTC)
Сообщений: 30
Российская Федерация
Откуда: Москва

Сказал(а) «Спасибо»: 2 раз
"Все ясно - он застрял"

Сборка 4.0 есть только под FreeBSD 10, у меня 11 - нужно было использовать pkg add -f

Не совсем мое дело, но как-то совершенно неорганично смотрятся ваши пакеты под фряхой. Неопрятно.
Offline Русев Андрей  
#3 Оставлено : 10 апреля 2019 г. 21:44:01(UTC)
Русев Андрей

Статус: Сотрудник

Группы: Администраторы, Участники
Зарегистрирован: 16.04.2008(UTC)
Сообщений: 527

Сказал(а) «Спасибо»: 1 раз
Поблагодарили: 83 раз в 69 постах
Неправда, FreeBSD 11 поддерживается во всех актуальных версиях КриптоПро CSP: 3.9/4.0/5.0. Для поддержки рутокенов надо дополнительно ставить пакеты cpro-rdr-pcsc и cpro-rdr-rutoken.
Официальная техподдержка. Официальная база знаний.
Offline tarkhil  
#4 Оставлено : 10 апреля 2019 г. 22:28:43(UTC)
tarkhil

Статус: Активный участник

Группы: Участники
Зарегистрирован: 19.12.2014(UTC)
Сообщений: 30
Российская Федерация
Откуда: Москва

Сказал(а) «Спасибо»: 2 раз
Автор: Русев Андрей Перейти к цитате
Неправда, FreeBSD 11 поддерживается во всех актуальных версиях КриптоПро CSP: 3.9/4.0/5.0. Для поддержки рутокенов надо дополнительно ставить пакеты cpro-rdr-pcsc и cpro-rdr-rutoken.


Я скачал наиболее свежий дистрибутив, ставил его с pkg -f - без него не ставилось.

Очень прошу, переименуйте однотипное freebsd-amd64.tgz в cpro-4.0R3-freebsd-amd64.tgz, будет примерно в сто раз удобнее.

Кроме того, /opt/cryptopro/bin/amd64 - это какой-то безумно странный путь. Вы предполагаете, что кто-то будет держать на одной машине развернутыми i32 и amd64?

Пожалуйста, сделайте пути так, как это принято. Лучше всего раскидывать по /usr/local, если это по каким-то причинам особо нежелательно - то ставить в /usr/local/cryptopro.
Offline Русев Андрей  
#5 Оставлено : 14 апреля 2019 г. 13:34:50(UTC)
Русев Андрей

Статус: Сотрудник

Группы: Администраторы, Участники
Зарегистрирован: 16.04.2008(UTC)
Сообщений: 527

Сказал(а) «Спасибо»: 1 раз
Поблагодарили: 83 раз в 69 постах
Присылайте ошибку, с которой "без -f не ставилось".

FreeBSD - лишь одна из более десятка поддерживаемых платформ. Вы приобретали СКЗИ на носителе? Именно стуктурность текущего именования позволяет легко выбрать правильный дистрибутив.

ia32 и amd64 могут быть установлены одновременно. Пути установки соответствуют FHS.
Официальная техподдержка. Официальная база знаний.
Offline tarkhil  
#6 Оставлено : 14 апреля 2019 г. 17:37:25(UTC)
tarkhil

Статус: Активный участник

Группы: Участники
Зарегистрирован: 19.12.2014(UTC)
Сообщений: 30
Российская Федерация
Откуда: Москва

Сказал(а) «Спасибо»: 2 раз
Автор: Русев Андрей Перейти к цитате
Присылайте ошибку, с которой "без -f не ставилось".

FreeBSD - лишь одна из более десятка поддерживаемых платформ. Вы приобретали СКЗИ на носителе? Именно стуктурность текущего именования позволяет легко выбрать правильный дистрибутив.

ia32 и amd64 могут быть установлены одновременно. Пути установки соответствуют FHS.


Ошибку пришлю завтра.

FHS - это стандарт 2004 года, о котором, по-моему, уже все забыли. В /opt не ставится почти ничего. В любом случае стандарт FreeBSD - /usr/local

И не подскажете, для чего могут быть установлены одновременно ia32+amd64? какой-то разумный сценарий использования?
Offline Русев Андрей  
#7 Оставлено : 15 апреля 2019 г. 13:42:53(UTC)
Русев Андрей

Статус: Сотрудник

Группы: Администраторы, Участники
Зарегистрирован: 16.04.2008(UTC)
Сообщений: 527

Сказал(а) «Спасибо»: 1 раз
Поблагодарили: 83 раз в 69 постах
Хипстеры, может, и забыли или не знали вовсе. А создатели дистрибутивов пока ещё помнят. Нам это удобно для минимизации разницы кода платформ и рецептов на форумах и портале техподдержки.
Поддержка ia32+amd64 - это свойство ОС, а не наше, так что отменять эту поддержку в софте - это подкидывать потребителям проблемы под видом "большого ума". И за примером далеко ходить не надо: некоторые приложения собираются только в ia32 (Steam, например). А другие на той же платформе будут нормальными - amd64.
Официальная техподдержка. Официальная база знаний.
Offline tarkhil  
#8 Оставлено : 15 апреля 2019 г. 16:20:30(UTC)
tarkhil

Статус: Активный участник

Группы: Участники
Зарегистрирован: 19.12.2014(UTC)
Сообщений: 30
Российская Федерация
Откуда: Москва

Сказал(а) «Спасибо»: 2 раз
Автор: Русев Андрей Перейти к цитате
Хипстеры, может, и забыли или не знали вовсе. А создатели дистрибутивов пока ещё помнят. Нам это удобно для минимизации разницы кода платформ и рецептов на форумах и портале техподдержки.
Поддержка ia32+amd64 - это свойство ОС, а не наше, так что отменять эту поддержку в софте - это подкидывать потребителям проблемы под видом "большого ума". И за примером далеко ходить не надо: некоторые приложения собираются только в ia32 (Steam, например). А другие на той же платформе будут нормальными - amd64.


А какой еще дистрибутив ставится сейчас в /opt? Тем более, что во FreeBSD /opt вообще никогда не было.

Библиотеки - да, имеет смысл иногда держать и amd64, и ia32. Но исполняемые файлы обеих архитектур одновременно?
Offline Русев Андрей  
#9 Оставлено : 15 апреля 2019 г. 18:06:45(UTC)
Русев Андрей

Статус: Сотрудник

Группы: Администраторы, Участники
Зарегистрирован: 16.04.2008(UTC)
Сообщений: 527

Сказал(а) «Спасибо»: 1 раз
Поблагодарили: 83 раз в 69 постах
Ставиться на ia32-платформу мы должны? Должны. Значит ia32-приложения нужны.
Ставиться на amd64-платформу мы должны? Должны. Значит amd64-приложения нужны.
Очевидно, что бинарники в пакетах организованы единственно возможным способом.
Официальная техподдержка. Официальная база знаний.
Offline tarkhil  
#10 Оставлено : 18 апреля 2019 г. 22:55:58(UTC)
tarkhil

Статус: Активный участник

Группы: Участники
Зарегистрирован: 19.12.2014(UTC)
Сообщений: 30
Российская Федерация
Откуда: Москва

Сказал(а) «Спасибо»: 2 раз
Автор: Русев Андрей Перейти к цитате
Присылайте ошибку, с которой "без -f не ставилось".


Цитата:
root@grandsql:/home/tarkhil/cpro-40r4 # pkg add cpro-ca-certs-4.0.9963_0.tbz
Installing cpro-ca-certs-4.0.9963_0...
pkg: wrong architecture: freebsd:10:x86:64 instead of FreeBSD:11:amd64

Failed to install the following 1 package(s): cpro-ca-certs-4.0.9963_0.tbz

root@grandsql:/home/tarkhil/cpro-40r4 # pkg add -f cpro-ca-certs-4.0.9963_0.tbz
Installing cpro-ca-certs-4.0.9963_0...
pkg: wrong architecture: freebsd:10:x86:64 instead of FreeBSD:11:amd64
Extracting cpro-ca-certs-4.0.9963_0: 100%

RSS Лента  Atom Лента
Пользователи, просматривающие эту тему
Быстрый переход  
Вы не можете создавать новые темы в этом форуме.
Вы не можете отвечать в этом форуме.
Вы не можете удалять Ваши сообщения в этом форуме.
Вы не можете редактировать Ваши сообщения в этом форуме.
Вы не можете создавать опросы в этом форуме.
Вы не можете голосовать в этом форуме.